/*
    Hitachi standard 5x8 font.
    Copyright (C) 2007 2012  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */

#ifndef __FONT_H
#define __FONT_H	1


/***************************************************************************/
/* define pubblici */

/***************************************************************************/
/* macro pubbliche */

/***************************************************************************/
/* strutture pubbliche */

/***************************************************************************/
/* costanti pubbliche */

#ifdef __FONT_C

#else

#endif

/***************************************************************************/
/* variabili pubbliche */

#ifdef __FONT_C

unsigned char			CursorX=0;	// colonna cursore
unsigned char			CursorY=0;	// riga cursore

#else

extern unsigned char		CursorX;	// colonna cursore
extern unsigned char		CursorY;	// riga cursore

#endif

/***************************************************************************/
/* funzioni pubbliche */

const unsigned char *FontGetChar(int Ascii);
  /* Ritorna un puntatore alla shape del char richiesto. */

void FontNewLine(void);
  /* Muove il cursore all'inizio di una nuova riga. */

/***************************************************************************/
#endif

/* $Source$ */

