/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  Alessandro Accattini


 *****************************************************************************
 *
 *
 * $Header: /users/CVS/oled_linux/debug.h,v 1.1.1.1 2009/10/01 14:49:33 akerue Exp $
 *
 *
 *
 * REVISION HISTORY:
 * $Log: debug.h,v $
 * Revision 1.1.1.1  2009/10/01 14:49:33  akerue
 * oled linux driver
 *
 */

#ifndef __DEBUG_H_
#define __DEBUG_H_	1


#include <linux/errno.h>
#include <linux/module.h>
#include <linux/moduleparam.h>
#include <linux/kernel.h>

/***************************************************************************/
/* define pubblici */

#define DRIVER_DMESG	"OLED: "		// driver name in dmesg

#define DEBUG_INFO	0			// enable/disable debug info

#if DEBUG_INFO != 0
#define PDEBUG(fmt,args...)	printk(KERN_INFO DRIVER_DMESG fmt,## args)
//#define PDEBUG(fmt,args...)	printk(KERN_DEBUG DRIVER_DMESG fmt,## args)
#else
#define PDEBUG(fmt,args...)	/* no debug info */
#endif
#define PINFO(fmt,args...)	printk(KERN_INFO DRIVER_DMESG fmt,## args)
#define PALERT(fmt,args...)	printk(KERN_ALERT DRIVER_DMESG fmt,## args)

/***************************************************************************/
/* strutture pubbliche */

/***************************************************************************/
/* variabili pubbliche */

/***************************************************************************/
/* funzioni pubbliche */

/***************************************************************************/
#endif

/* $Source: /users/CVS/oled_linux/debug.h,v $ */

